;	 gpg_demo.pb
;	 Version 0.1 [2010/08/11]
;    Copyright (C) 2011 Ronny Krueger
;
;    This file is part of AWPB-Tools.
;
;    AWPB-Tools is free software: you can redistribute it and/or modify
;    it under the terms of the GNU Lesser General Public License as published by
;    the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    AWPB-Tools is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU Lesser General Public License for more details.
;
;    You should have received a copy of the GNU Lesser General Public License
;    along with AWPB-Tools.  If not, see <http://www.gnu.org/licenses/>.

EnableExplicit

CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awgnupg.pbi"

Global GnuPGCmd.s
  
GnuPGCmd = AWPB_GnuPG_SelectGPGRequester()

If GnuPGCmd
  MessageRequester("GnuPG Version", AWPB_GnuPG_GetVersion(GnuPGCmd))
  MessageRequester("Available selected Receipients", AWPB_GnuPG_GetAvailableMailAdresses(GnuPGCmd))
EndIf

